STRUCT TEMPLATE IM(3)

NAME
boost::proto::_data::impl

SYNOPSIS

// In header: <boost/proto/transform/arg.hpp>
template<typename Expr, typename State, typename Data>
struct impl :  proto::transform_impl< Expr, State, Data > {
  // types
  typedef Data result_type;
  // public member functions
  Data operator()(typename impl::expr_param, typename impl::state_param,
                  typename impl::data_param) const;
};

DESCRIPTION

  impl public member functions

    1.

    Data operator()(typename impl::expr_param, typename impl::state_param,
                    typename impl::data_param data) const;

    Returns the current data.

    Parameters:

        data
            The current data.

    Returns:
        data

    Throws:
        Will not throw.